> ## Documentation Index
> Fetch the complete documentation index at: https://docs.badtogoodemails.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Credits

> Returns the remaining scan and discovery credits for the authenticated account.



## OpenAPI

````yaml GET /api/v1/credits
openapi: 3.0.1
info:
  title: Bad To Good Emails API
  description: "Bad To Good Emails is the leader in correcting your B2B leads. \r\n\r\nThe API key is located in your account on Bad To Good Emails at [app.badtogoodemails.com](https://app.badtogoodemails.com) under API Management → API Keys."
  version: v1
servers: []
security: []
paths:
  /api/v1/credits:
    get:
      tags:
        - credits
      summary: Get remaining credit balance
      description: >-
        Returns the remaining scan and discovery credits for the authenticated
        account.
      parameters:
        - name: apiKey
          in: query
          description: Your API key (alternative to X-API-Key header)
          schema:
            type: string
        - name: X-API-Key
          in: header
          description: Your API key (alternative to apiKey query param)
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/CreditsResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/CreditsResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/CreditsResponse'
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/CreditsErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/CreditsErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/CreditsErrorResponse'
        '500':
          description: Internal Server Error
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/CreditsErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/CreditsErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/CreditsErrorResponse'
components:
  schemas:
    CreditsResponse:
      type: object
      properties:
        subscription_scans_remaining:
          type: integer
          format: int32
        subscription_discoveries_remaining:
          type: integer
          format: int32
        additional_scans:
          type: integer
          format: int32
        additional_discoveries:
          type: integer
          format: int32
      additionalProperties: false
    CreditsErrorResponse:
      type: object
      properties:
        error:
          type: string
        error_code:
          type: string
          nullable: true
      additionalProperties: false

````